<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
TransactionStats Members
TransactionStats Class Methods Properties See Also Send Feedback

The TransactionStats type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the type of the current instance. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| Aborted | Number of aborted transactions
| Active | Number of active transactions
| Begun | Number of begun transactions
| Committed | Number of committed transactions
| InitTxns | Initial number of transactions configured.
| LastCheckpoint | LSN of the last checkpoint
| LastCheckpointTime | Time of last checkpoint
| LastID | Last transaction id given out
| MaxActive | Maximum active transactions
| MaxSnapshot | Maximum snapshot transactions
| MaxTransactions | Maximum txns possible
| RegionLockNoWait | Region lock granted without wait.
| RegionLockWait | Region lock granted after wait.
| RegionSize | Region size.
| Restored | Number of restored transactions after recovery.
| Snapshot | Number of snapshot transactions
| Transactions | List of active transactions

# See Also

TransactionStats Class
BerkeleyDB Namespace